5

I've installed the latest version of Vim to date (8.0) for Windows. But the version of Vim I've got does not have Python support. I've downloaded the .exe version directly from vim.org.

echo has('python') 
" returns 0. 

If I remember correctly, Vim used to come with Python support in the default build. Is this no longer true?

Do I have to compile Vim with Python support myself (and how to do that on MS Windows) or is there another way?

  • NOTE: I have Python installed on my computer. – Gustav Blomqvist Jan 22 '17 at 17:43
7

You need to install Python yourself on Windows.

If you type :version, you should see +python/dyn and +python3/dyn. On Windows, this means that Vim is compiled to dynamically load the Python DLL. You can read about this in :h python-dyanmic. Depending on the versions you install, you may want to look at :h pythondll and :h pythonthreedll

If you install Python 3, keep in mind that you will need to verify it with :echo has('python3'). Additionally, if you want to install both Python 2 and 3, you will want to read :h has-python.

  • 2
    Also be sure to use a 32-bit python with a 32-bit vim, or use a 64-bit version of both. If you mix them, vim will not be able to load the dll. – Octaviour Jan 17 '17 at 14:24

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.